%global _prefix     /opt/mellanox/iproute2
%global _sbindir    %{_prefix}/sbin
%global _sysconfdir %{_prefix}/etc
%global debug_package %{nil}

Summary:	Utility to control Networking behavior in.X kernels
Name:		mlnx-iproute2
Version:	4.20.0
Release:	1
License:	GPL
Group:		Networking/Admin
Source0:	http://www.kernel.org/pub/linux/utils/net/iproute2/%{name}-%{version}.tar.gz
URL:		http://www.linuxfoundation.org/collaborate/workgroups/networking/iproute2
BuildRequires:	bison
BuildRequires:	flex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Linux maintains compatibility with the basic configuration utilities
of the network (ifconfig, route) but a new utility is required to
exploit the new characteristics and features of the kernel. This
package includes the new utilities.

%package -n libnetlink-devel
Summary:	Library for the netlink interface
Group:		Development/Libraries

%description -n libnetlink-devel
This library provides an interface for kernel-user netlink interface.

%prep
%setup -q

%build
./configure
%{__make} \
	CC="%{__cc}"		\
	HOSTCC="%{__cc}"	\
	LD="%{__cc}"		\
	PREFIX="%{_prefix}" \
	LIBDIR="%{_libdir}"	\
	SBINDIR="%{_sbindir}" \
	CONFDIR="%{_sysconfdir}" \
	NETNS_RUN_DIR="/var/run/netns-mlnx" \
	NETNS_ETC_DIR="%{_prefix}/etc/netns" \
	ARPDIR="%{_prefix}/var/lib/arpd"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_libdir},%{_sbindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT	\
	PREFIX="%{_prefix}" \
	LIBDIR="%{_libdir}"	\
	SBINDIR="%{_sbindir}" \
	CONFDIR="%{_sysconfdir}" \
	NETNS_RUN_DIR="/var/run/netns-mlnx" \
	NETNS_ETC_DIR="%{_prefix}/etc/netns" \
	ARPDIR="%{_prefix}/var/lib/arpd"

install lib/libnetlink.a $RPM_BUILD_ROOT%{_libdir}
install include/libnetlink.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README.iproute2+tc README.lnstat
%dir %{_prefix}
%dir %{_prefix}/include
%dir %{_prefix}/share
%dir %{_sbindir}
%dir %{_sysconfdir}
%dir %{_libdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%{_prefix}/include/*
%{_prefix}/share/*
%{_libdir}/*
%{_sbindir}/*
